## Shell Actions

Shell Actions

## Functions

#define | E_SHELL_WINDOW_ACTION_ABOUT ()
#define | E_SHELL_WINDOW_ACTION_CLOSE ()
#define | E_SHELL_WINDOW_ACTION_CONTENTS ()
#define | E_SHELL_WINDOW_ACTION_COPY_CLIPBOARD ()
#define | E_SHELL_WINDOW_ACTION_CUT_CLIPBOARD ()
#define | E_SHELL_WINDOW_ACTION_DELETE_SELECTION ()
#define | E_SHELL_WINDOW_ACTION_GAL_CUSTOM_VIEW ()
#define | E_SHELL_WINDOW_ACTION_GAL_DELETE_VIEW ()
#define | E_SHELL_WINDOW_ACTION_GAL_SAVE_CUSTOM_VIEW ()
#define | E_SHELL_WINDOW_ACTION_GROUP_NEW_WINDOW ()
#define | E_SHELL_WINDOW_ACTION_IMPORT ()
#define | E_SHELL_WINDOW_ACTION_NEW_WINDOW ()
#define | E_SHELL_WINDOW_ACTION_PAGE_SETUP ()
#define | E_SHELL_WINDOW_ACTION_PASTE_CLIPBOARD ()
#define | E_SHELL_WINDOW_ACTION_PREFERENCES ()
#define | E_SHELL_WINDOW_ACTION_QUICK_REFERENCE ()
#define | E_SHELL_WINDOW_ACTION_QUIT ()
#define | E_SHELL_WINDOW_ACTION_SEARCH_ADVANCED ()
#define | E_SHELL_WINDOW_ACTION_SEARCH_CLEAR ()
#define | E_SHELL_WINDOW_ACTION_SEARCH_EDIT ()
#define | E_SHELL_WINDOW_ACTION_SEARCH_OPTIONS ()
#define | E_SHELL_WINDOW_ACTION_SEARCH_QUICK ()
#define | E_SHELL_WINDOW_ACTION_SEARCH_SAVE ()
#define | E_SHELL_WINDOW_ACTION_SELECT_ALL ()
#define | E_SHELL_WINDOW_ACTION_SHOW_SIDEBAR ()
#define | E_SHELL_WINDOW_ACTION_SHOW_SWITCHER ()
#define | E_SHELL_WINDOW_ACTION_SHOW_TASKBAR ()
#define | E_SHELL_WINDOW_ACTION_SHOW_TOOLBAR ()
#define | E_SHELL_WINDOW_ACTION_SUBMIT_BUG ()
#define | E_SHELL_WINDOW_ACTION_SWITCHER_INITIAL ()
#define | E_SHELL_WINDOW_ACTION_SWITCHER_MENU ()
#define | E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_BOTH ()
#define | E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_ICONS ()
#define | E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_TEXT ()
#define | E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_USER ()
#define | E_SHELL_WINDOW_ACTION_WORK_OFFLINE ()
#define | E_SHELL_WINDOW_ACTION_WORK_ONLINE ()

## Description

## Functions

### E_SHELL_WINDOW_ACTION_ABOUT()

    #define             E_SHELL_WINDOW_ACTION_ABOUT(window)

Activation of this action displays the application's About dialog.

Main menu item: Help -> About

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_CLOSE()

    #define             E_SHELL_WINDOW_ACTION_CLOSE(window)

Activation of this action closes `window` . If this is the last window, the application initiates shutdown.

Main menu item: File -> Close

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_CONTENTS()

    #define             E_SHELL_WINDOW_ACTION_CONTENTS(window)

Activation of this action opens the application's user manual.

Main menu item: Help -> Contents

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_COPY_CLIPBOARD()

    #define             E_SHELL_WINDOW_ACTION_COPY_CLIPBOARD(window)

### E_SHELL_WINDOW_ACTION_CUT_CLIPBOARD()

    #define             E_SHELL_WINDOW_ACTION_CUT_CLIPBOARD(window)

### E_SHELL_WINDOW_ACTION_DELETE_SELECTION()

    #define             E_SHELL_WINDOW_ACTION_DELETE_SELECTION(window)

### E_SHELL_WINDOW_ACTION_GAL_CUSTOM_VIEW()

    #define             E_SHELL_WINDOW_ACTION_GAL_CUSTOM_VIEW(window)

This radio action is selected when using a custom GAL view that has not been saved.

Main menu item: View -> Current View -> Custom View

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_GAL_DELETE_VIEW()

    #define             E_SHELL_WINDOW_ACTION_GAL_DELETE_VIEW(window)

Activation of this action deletes the current user-created GAL view.

Main menu item: View -> Current View -> Delete Current View

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_GAL_SAVE_CUSTOM_VIEW()

    #define             E_SHELL_WINDOW_ACTION_GAL_SAVE_CUSTOM_VIEW(window)

Activation of this action saves a custom GAL view.

Main menu item: View -> Current View -> Save Custom View...

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_GROUP_NEW_WINDOW()

    #define             E_SHELL_WINDOW_ACTION_GROUP_NEW_WINDOW(window)

### E_SHELL_WINDOW_ACTION_IMPORT()

    #define             E_SHELL_WINDOW_ACTION_IMPORT(window)

Activation of this action opens the Evolution Import Assistant.

Main menu item: File -> Import...

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_NEW_WINDOW()

    #define             E_SHELL_WINDOW_ACTION_NEW_WINDOW(window)

Activation of this action opens a new shell window.

Main menu item: File -> New Window

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_PAGE_SETUP()

    #define             E_SHELL_WINDOW_ACTION_PAGE_SETUP(window)

Activation of this action opens the application's Page Setup dialog.

Main menu item: File -> Page Setup...

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_PASTE_CLIPBOARD()

    #define             E_SHELL_WINDOW_ACTION_PASTE_CLIPBOARD(window)

### E_SHELL_WINDOW_ACTION_PREFERENCES()

    #define             E_SHELL_WINDOW_ACTION_PREFERENCES(window)

Activation of this action opens the application's Preferences window.

Main menu item: Edit -> Preferences

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_QUICK_REFERENCE()

    #define             E_SHELL_WINDOW_ACTION_QUICK_REFERENCE(window)

Activation of this action opens a printable table of useful shortcut keys for this application.

Main menu item: Help -> Quick Reference

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_QUIT()

    #define             E_SHELL_WINDOW_ACTION_QUIT(window)

Activation of this action initiates application shutdown.

Main menu item: File -> Quit

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SEARCH_ADVANCED()

    #define             E_SHELL_WINDOW_ACTION_SEARCH_ADVANCED(window)

Activation of this action opens an Advanced Search dialog.

Main menu item: Search -> Advanced Search...

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SEARCH_CLEAR()

    #define             E_SHELL_WINDOW_ACTION_SEARCH_CLEAR(window)

Activation of this action clears the most recent search results.

Main menu item: Search -> Clear

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SEARCH_EDIT()

    #define             E_SHELL_WINDOW_ACTION_SEARCH_EDIT(window)

Activation of this action opens a dialog for editing saved searches.

Main menu item: Search -> Edit Saved Searches...

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SEARCH_OPTIONS()

    #define             E_SHELL_WINDOW_ACTION_SEARCH_OPTIONS(window)

Activation of this action displays a menu of search options. This appears as a "find" icon in the window's search entry.

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SEARCH_QUICK()

    #define             E_SHELL_WINDOW_ACTION_SEARCH_QUICK(window)

Activation of this action executes the current search conditions.

Main menu item: Search -> Find Now

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SEARCH_SAVE()

    #define             E_SHELL_WINDOW_ACTION_SEARCH_SAVE(window)

Activation of this action saves the current search conditions.

Main menu item: Search -> Save Search...

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SELECT_ALL()

    #define             E_SHELL_WINDOW_ACTION_SELECT_ALL(window)

### E_SHELL_WINDOW_ACTION_SHOW_SIDEBAR()

    #define             E_SHELL_WINDOW_ACTION_SHOW_SIDEBAR(window)

This toggle action controls whether the side bar is visible.

Main menu item: View -> Layout -> Show Side Bar

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SHOW_SWITCHER()

    #define             E_SHELL_WINDOW_ACTION_SHOW_SWITCHER(window)

This toggle action controls whether the switcher buttons are visible.

Main menu item: View -> Switcher Appearance -> Show Buttons

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SHOW_TASKBAR()

    #define             E_SHELL_WINDOW_ACTION_SHOW_TASKBAR(window)

This toggle action controls whether the task bar is visible.

Main menu item: View -> Layout -> Show Status Bar

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SHOW_TOOLBAR()

    #define             E_SHELL_WINDOW_ACTION_SHOW_TOOLBAR(window)

This toggle action controls whether the tool bar is visible.

Main menu item: View -> Layout -> Show Tool Bar

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SUBMIT_BUG()

    #define             E_SHELL_WINDOW_ACTION_SUBMIT_BUG(window)

Activation of this action allows users to report a bug using Bug Buddy.

Main menu item: Help -> Submit Bug Report

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SWITCHER_INITIAL()

    #define             E_SHELL_WINDOW_ACTION_SWITCHER_INITIAL(window)

### E_SHELL_WINDOW_ACTION_SWITCHER_MENU()

    #define             E_SHELL_WINDOW_ACTION_SWITCHER_MENU(window)

### E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_BOTH()

    #define             E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_BOTH(window)

This radio action displays switcher buttons with icons and text.

Main menu item: View -> Switcher Appearance -> Icons and Text

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_ICONS()

    #define             E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_ICONS(window)

This radio action displays switcher buttons with icons only.

Main menu item: View -> Switcher Appearance -> Icons Only

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_TEXT()

    #define             E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_TEXT(window)

This radio action displays switcher buttons with text only.

Main menu item: View -> Switcher Appearance -> Text Only

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_USER()

    #define             E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_USER(window)

This radio action displays switcher buttons according to the desktop toolbar setting.

Main menu item: View -> Switcher Appearance -> Toolbar Style

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_WORK_OFFLINE()

    #define             E_SHELL_WINDOW_ACTION_WORK_OFFLINE(window)

Activation of this action puts the application into offline mode.

Main menu item: File -> Work Offline

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_WORK_ONLINE()

    #define             E_SHELL_WINDOW_ACTION_WORK_ONLINE(window)

Activation of this action puts the application into online mode.

Main menu item: File -> Work Online

#### Parameters

window | an EShellWindow |

## Types and Values